<HTML>
<HEAD><TITLE>Place & Route Report</TITLE>
<STYLE TYPE="text/css">
<!--
 body,pre{    font-family:'Courier New', monospace;    color: #000000;    font-size:88%;    background-color: #ffffff;}h1 {    font-weight: bold;    margin-top: 24px;    margin-bottom: 10px;    border-bottom: 3px solid #000;    font-size: 1em;}h2 {    font-weight: bold;    margin-top: 18px;    margin-bottom: 5px;    font-size: 0.90em;}h3 {    font-weight: bold;    margin-top: 12px;    margin-bottom: 5px;    font-size: 0.80em;}p {    font-size:78%;}P.Table {    margin-top: 4px;    margin-bottom: 4px;    margin-right: 4px;    margin-left: 4px;}table{    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    border-collapse: collapse;}th {    font-weight:bold;    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    text-align:left;    font-size:78%;}td {    padding: 4px;    border-width: 1px 1px 1px 1px;    border-style: solid solid solid solid;    border-color: black black black black;    vertical-align:top;    font-size:78%;}a {    color:#013C9A;    text-decoration:none;}a:visited {    color:#013C9A;}a:hover, a:active {    text-decoration:underline;    color:#5BAFD4;}.pass{background-color: #00ff00;}.fail{background-color: #ff0000;}.comment{    font-size: 90%;    font-style: italic;}
-->
</STYLE>
</HEAD>
<PRE><A name="Par"></A>PAR: Place And Route Diamond (64-bit) 3.11.0.396.4.
Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&amp;T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2019 Lattice Semiconductor Corporation,  All rights reserved.
Sat Mar 19 10:39:02 2022

C:/lscc/diamond/3.11_x64/ispfpga\bin\nt64\par -f blink_led_diamond_impl1.p2t
blink_led_diamond_impl1_map.ncd blink_led_diamond_impl1.dir
blink_led_diamond_impl1.prf -gui


Preference file: blink_led_diamond_impl1.prf.

<A name="par_cts"></A><B><U><big>Cost Table Summary</big></U></B>
Level/       Number       Worst        Timing       Worst        Timing       Run          NCD
Cost [ncd]   Unrouted     Slack        Score        Slack(hold)  Score(hold)  Time         Status
----------   --------     -----        ------       -----------  -----------  ----         ------
5_1   *      0            34.915       0            0.178        0            05           Completed
* : Design saved.

Total (real) run time for 1-seed: 5 secs 

par done!

Note: user must run &apos;Trace&apos; for timing closure signoff.

Lattice Place and Route Report for Design &quot;blink_led_diamond_impl1_map.ncd&quot;
Sat Mar 19 10:39:02 2022


<A name="par_best"></A><B><U><big>Best Par Run</big></U></B>
PAR: Place And Route Diamond (64-bit) 3.11.0.396.4.
Command Line: par -w -l 5 -i 6 -t 1 -c 0 -e 0 -gui -exp parUseNBR=1:parCDP=auto:parCDR=1:parPathBased=OFF blink_led_diamond_impl1_map.ncd blink_led_diamond_impl1.dir/5_1.ncd blink_led_diamond_impl1.prf
Preference file: blink_led_diamond_impl1.prf.
Placement level-cost: 5-1.
Routing Iterations: 6

Loading design for application par from file blink_led_diamond_impl1_map.ncd.
Design name: blink
NCD version: 3.3
Vendor:      LATTICE
Device:      LFE5U-25F
Package:     CABGA256
Performance: 6
Loading device for application par from file &apos;sa5p25.nph&apos; in environment: C:/lscc/diamond/3.11_x64/ispfpga.
Package Status:                     Final          Version 1.33.
Performance Hardware Data Status:   Final          Version 55.1.
License checked out.


Ignore Preference Error(s):  True

<A name="par_dus"></A><B><U><big>Device utilization summary:</big></U></B>

   PIO (prelim)       2/197           1% used
                      2/197           1% bonded

   SLICE             19/12144        &lt;1% used



Number of Signals: 75
Number of Connections: 127

Pin Constraint Summary:
   2 out of 2 pins locked (100% locked).

The following 1 signal is selected to use the primary clock routing resources:
    clk_c (driver: clk, clk/ce/sr load #: 14/0/0)


No signal is selected as Global Set/Reset.
Starting Placer Phase 0.

Finished Placer Phase 0.  REAL time: 0 secs 

Starting Placer Phase 1.
...............
Placer score = 7188.
Finished Placer Phase 1.  REAL time: 2 secs 

Starting Placer Phase 2.
.
Placer score =  7180
Finished Placer Phase 2.  REAL time: 2 secs 



<A name="par_clk"></A><B><U><big>Clock Report</big></U></B>

Global Clock Resources:
  CLK_PIN    : 0 out of 12 (0%)
  GR_PCLK    : 1 out of 12 (8%)
  PLL        : 0 out of 2 (0%)
  DCS        : 0 out of 2 (0%)
  DCC        : 0 out of 60 (0%)
  CLKDIV     : 0 out of 4 (0%)

Quadrant TL Clocks:

  PRIMARY  : 0 out of 16 (0%)

Quadrant TR Clocks:
  PRIMARY &quot;clk_c&quot; from comp &quot;clk&quot; on PIO site &quot;P6 (PL47C)&quot;, CLK/CE/SR load = 14

  PRIMARY  : 1 out of 16 (6%)

Quadrant BL Clocks:

  PRIMARY  : 0 out of 16 (0%)

Quadrant BR Clocks:

  PRIMARY  : 0 out of 16 (0%)

Edge Clocks:

  No edge clock selected.





+
I/O Usage Summary (final):
   2 out of 197 (1.0%) PIO sites used.
   2 out of 197 (1.0%) bonded PIO sites used.
   Number of PIO comps: 2; differential: 0.
   Number of Vref pins used: 0.

I/O Bank Usage Summary:
+----------+---------------+------------+------------+------------+
| I/O Bank | Usage         | Bank Vccio | Bank Vref1 | Bank Vref2 |
+----------+---------------+------------+------------+------------+
| 0        | 0 / 24 (  0%) | -          | -          | -          |
| 1        | 0 / 32 (  0%) | -          | -          | -          |
| 2        | 0 / 32 (  0%) | -          | -          | -          |
| 3        | 0 / 32 (  0%) | -          | -          | -          |
| 6        | 2 / 32 (  6%) | 3.3V       | -          | -          |
| 7        | 0 / 32 (  0%) | -          | -          | -          |
| 8        | 0 / 13 (  0%) | -          | -          | -          |
+----------+---------------+------------+------------+------------+

Total placer CPU time: 2 secs 

Dumping design to file blink_led_diamond_impl1.dir/5_1.ncd.

0 connections routed; 127 unrouted.
Starting router resource preassignment

Completed router resource preassignment. Real time: 4 secs 

Start NBR router at 10:39:06 03/19/22

*****************************************************************
Info: NBR allows conflicts(one node used by more than one signal)
      in the earlier iterations. In each iteration, it tries to  
      solve the conflicts while keeping the critical connections 
      routed as short as possible. The routing process is said to
      be completed when no conflicts exist and all connections   
      are routed.                                                
Note: NBR uses a different method to calculate timing slacks. The
      worst slack and total negative slack may not be the same as
      that in TRCE report. You should always run TRCE to verify  
      your design.                                               
*****************************************************************

Start NBR special constraint process at 10:39:06 03/19/22

Start NBR section for initial routing at 10:39:06 03/19/22
Level 4, iteration 1
0(0.00%) conflict; 0(0.00%) untouched conn; 0 (nbr) score; 
Estimated worst slack/total negative slack&lt;setup&gt;: 34.915ns/0.000ns; real time: 4 secs 

Info: Initial congestion level at 75% usage is 0
Info: Initial congestion area  at 75% usage is 0 (0.00%)

Start NBR section for normal routing at 10:39:06 03/19/22
Level 4, iteration 1
0(0.00%) conflict; 0(0.00%) untouched conn; 0 (nbr) score; 
Estimated worst slack/total negative slack&lt;setup&gt;: 34.915ns/0.000ns; real time: 4 secs 

Start NBR section for setup/hold timing optimization with effort level 3 at 10:39:06 03/19/22

Start NBR section for re-routing at 10:39:06 03/19/22
Level 4, iteration 1
0(0.00%) conflict; 0(0.00%) untouched conn; 0 (nbr) score; 
Estimated worst slack/total negative slack&lt;setup&gt;: 34.915ns/0.000ns; real time: 4 secs 

Start NBR section for post-routing at 10:39:06 03/19/22

End NBR router with 0 unrouted connection

NBR Summary
-----------
  Number of unrouted connections : 0 (0.00%)
  Number of connections with timing violations : 0 (0.00%)
  Estimated worst slack&lt;setup&gt; : 34.915ns
  Timing score&lt;setup&gt; : 0
-----------
Notes: The timing info is calculated for SETUP only and all PAR_ADJs are ignored.



Total CPU time 4 secs 
Total REAL time: 5 secs 
Completely routed.
End of route.  127 routed (100.00%); 0 unrouted.

Hold time timing score: 0, hold timing errors: 0

Timing score: 0 

Dumping design to file blink_led_diamond_impl1.dir/5_1.ncd.


All signals are completely routed.


PAR_SUMMARY::Run status = Completed
PAR_SUMMARY::Number of unrouted conns = 0
PAR_SUMMARY::Worst  slack&lt;setup/&lt;ns&gt;&gt; = 34.915
PAR_SUMMARY::Timing score&lt;setup/&lt;ns&gt;&gt; = 0.000
PAR_SUMMARY::Worst  slack&lt;hold /&lt;ns&gt;&gt; = 0.178
PAR_SUMMARY::Timing score&lt;hold /&lt;ns&gt;&gt; = 0.000
PAR_SUMMARY::Number of errors = 0

Total CPU  time to completion: 5 secs 
Total REAL time to completion: 5 secs 

par done!

Note: user must run &apos;Trace&apos; for timing closure signoff.

Copyright (c) 1991-1994 by NeoCAD Inc. All rights reserved.
Copyright (c) 1995 AT&amp;T Corp.   All rights reserved.
Copyright (c) 1995-2001 Lucent Technologies Inc.  All rights reserved.
Copyright (c) 2001 Agere Systems   All rights reserved.
Copyright (c) 2002-2019 Lattice Semiconductor Corporation,  All rights reserved.



<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
<BR>
</PRE></FONT>
</BODY>
</HTML>
